Package org.silverpeas.components.silvercrawler.statistic

## Class HistoryDAO

- java.lang.Object
- - org.silverpeas.components.silvercrawler.statistic.HistoryDAO

-     public class HistoryDAO
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HistoryDAO()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `add​(Connection con, String tableName, String userId, String path, String componentId, String objectType)` |
    `static void` | `deleteHistoryByObject​(Connection con, String tableName, String path, String componentId)` |
    `static Collection<HistoryDetail>` | `getHistoryDetailByObject​(Connection con, String tableName, String path, String componentId)` |
    `static Collection<HistoryDetail>` | `getHistoryDetailByObjectAndUser​(Connection con, String tableName, String path, String userId, String componentId)` |
    `static Collection<HistoryDetail>` | `getHistoryDetails​(ResultSet rs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryDAO

          public HistoryDAO()

  - ### Method Detail

    - #### getHistoryDetails

          public static Collection<HistoryDetail> getHistoryDetails​(ResultSet rs)
                                                             throws SQLException

      Throws:
        `SQLException`

    - #### add

          public static void add​(Connection con,
                                 String tableName,
                                 String userId,
                                 String path,
                                 String componentId,
                                 String objectType)
                          throws SQLException

      Throws:
        `SQLException`

    - #### getHistoryDetailByObject

          public static Collection<HistoryDetail> getHistoryDetailByObject​(Connection con,
                                                                           String tableName,
                                                                           String path,
                                                                           String componentId)
                                                                    throws SQLException

      Throws:
        `SQLException`

    - #### getHistoryDetailByObjectAndUser

          public static Collection<HistoryDetail> getHistoryDetailByObjectAndUser​(Connection con,
                                                                                  String tableName,
                                                                                  String path,
                                                                                  String userId,
                                                                                  String componentId)
                                                                           throws SQLException

      Throws:
        `SQLException`

    - #### deleteHistoryByObject

          public static void deleteHistoryByObject​(Connection con,
                                                   String tableName,
                                                   String path,
                                                   String componentId)
                                            throws SQLException

      Throws:
        `SQLException`